import 'package:flutter/material.dart';
import 'package:practica1_flutter/src/pages/articles_page.dart';

class HomeSellerPage extends StatelessWidget {
  const HomeSellerPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DefaultTabController(// Agrega un DefaultTabController para manejar el estado de las pestañas.
      length: 2, // Define el número de pestañas.
      child: MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'Estoy en Home',
        theme: ThemeData(
          primaryColor: Colors.blue,
        ),
        home: Scaffold(
          appBar: AppBar(
            title: const Text("ShopMaster"),
            bottom: const TabBar( // Agrega el TabBar en la parte inferior de la AppBar.
              tabs: [
                Tab(icon: Icon(Icons.article_outlined), text: "Articulos"),
                Tab(icon: Icon(Icons.shop_2), text: "Ventas"),
              ],
            ),
          ),
          drawer: MenuLateral(),
          body: Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                /*ElevatedButton(
                  onPressed: () {
                    Navigator.pushNamed(context, 'articulos');
                  },
                  child: const Text('Acceder a articulos -->'),
                ),*/
                const SizedBox(height: 200),

                FloatingActionButton(
                  onPressed: () {
                  },
                  child: Icon(Icons.add),
                  tooltip: 'Agregar Categoría',//Mensaje
                ),

              ],
            ),
          ),
        ),
      ),
    );
  }
}
//Clase del meuno lateral
class MenuLateral extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: ListView(
        children: [
          const UserAccountsDrawerHeader(
            accountName: Text("Mi cuenta"),
            accountEmail: Text("Prueba@gmail.com"),
          ),
          Ink(
            color: Colors.indigo, // Cambiar color de cada menú.
            child: ListTile(
              title: const Text("Menu 1", style: TextStyle(color: Colors.white)),
            ),
          ),
          const ListTile(
            title: Text("Menu 2"),
          ),
          const ListTile(
            title: Text("Menu 2"),
          ),
        ],
      ),
    );
  }
}



